%define module	Authen-SASL
%define name	perl-%{module}
%define version 2.12
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	SASL Authentication framework
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Digest::MD5)
BuildRequires:	perl(Digest::HMAC_MD5)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%define _requires_exceptions perl\(GSSAPI\)

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all protocols
should be able to share.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes api.txt
%{_mandir}/*/*
%{perl_vendorlib}/Authen



%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2.12-2mdv2009.1
+ Revision: 351675
- rebuild

* Wed Jul 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.12-1mdv2009.0
+ Revision: 230635
- update to new version 2.12

* Tue Apr 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11-1mdv2009.0
+ Revision: 196518
- fix build dependency
- update to new version 2.11

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.10-6mdv2008.1
+ Revision: 180367
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.10-5mdv2008.0
+ Revision: 67596
- rebuild

* Wed Apr 25 2007 Olivier Thauvin <nanardon@mandriva.org> 2.10-4mdv2008.0
+ Revision: 18038
- rebuild


* Mon Apr 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.10-3mdk
- Don't require optional module GSSAPI

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.10-2mdk
- fix description lines length

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.10-1mdk
- new version
- spec cleanup
- rpmbuildupdate aware
- better summary and description
- drop useless explicit requires
- %%mkrel

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.09-1mdk
- 2.09

* Wed May 26 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.08-1mdk
- 2.08

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.07-1mdk
- 2.07

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.04-2mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Fri May 23 2003 Franois Pons <fpons@mandrakesoft.com> 2.04-1mdk
- 2.04.

